# Generated by Django 3.1.5 on 2021-03-15 10:51

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='ModelTestGenerateSchemaA',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('binary_field', models.BinaryField()),
                ('boolean_field', models.BooleanField()),
                ('boolean_field_nullable', models.BooleanField(blank=True, null=True)),
                ('null_boolean_field', models.NullBooleanField()),
                ('char_field', models.CharField(max_length=100)),
                ('char_field_unique', models.CharField(max_length=100, unique=True)),
                ('char_field_nullable', models.CharField(blank=True, max_length=100, null=True)),
                ('date_field', models.DateField()),
                ('datetime_field', models.DateTimeField()),
                ('time_field', models.TimeField()),
                ('decimal_field', models.DecimalField(decimal_places=2, max_digits=10)),
                ('duration_field', models.DurationField()),
                ('email_field', models.EmailField(max_length=254)),
                ('float_field', models.FloatField()),
                ('integer_field', models.IntegerField()),
                ('integer_field_unique', models.IntegerField(unique=True)),
                ('small_integer_field', models.SmallIntegerField()),
                ('small_integer_field_unique', models.SmallIntegerField(unique=True)),
                ('positive_integer_field', models.PositiveIntegerField()),
                ('positive_integer_field_unique', models.PositiveIntegerField(unique=True)),
                ('slug_field', models.SlugField()),
                ('slug_field_unique', models.SlugField(unique=True)),
                ('text_field', models.TextField()),
                ('text_field_nullable', models.TextField(blank=True, null=True)),
                ('url_field', models.URLField()),
                ('url_field_unique', models.URLField(unique=True)),
                ('uuid_field', models.UUIDField()),
                ('uuid_field_unique', models.UUIDField(unique=True)),
                ('foreign_key_field', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='foreign_key_related', to='gdc_test.modeltestgenerateschemaa')),
                ('manytomany_field', models.ManyToManyField(related_name='many_to_many_related', to='gdc_test.ModelTestGenerateSchemaA')),
                ('one_to_one_field', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='one_to_one_related', to='gdc_test.modeltestgenerateschemaa')),
            ],
        ),
        migrations.CreateModel(
            name='TestFkC',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.CharField(blank=True, max_length=100, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='TestM2mC',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.CharField(blank=True, max_length=100, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='TestO2oC',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.CharField(blank=True, max_length=100, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='TestO2oB',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.CharField(blank=True, max_length=100, null=True)),
                ('TestO2oC', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='gdc_test.testo2oc')),
            ],
        ),
        migrations.CreateModel(
            name='TestO2oA',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.CharField(blank=True, max_length=100, null=True)),
                ('TestO2oB', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='testO2oA', to='gdc_test.testo2ob')),
            ],
        ),
        migrations.CreateModel(
            name='TestM2mB',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.CharField(blank=True, max_length=100, null=True)),
                ('testM2mCs', models.ManyToManyField(to='gdc_test.TestM2mC')),
            ],
        ),
        migrations.CreateModel(
            name='TestM2mA',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.CharField(blank=True, max_length=100, null=True)),
                ('testM2mBs', models.ManyToManyField(related_name='testM2mAs', to='gdc_test.TestM2mB')),
            ],
        ),
        migrations.CreateModel(
            name='TestFkB',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.CharField(blank=True, max_length=100, null=True)),
                ('testFkC', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='gdc_test.testfkc')),
            ],
        ),
        migrations.CreateModel(
            name='TestFkA',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.CharField(blank=True, max_length=100, null=True)),
                ('testFkB', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='testFkAs', to='gdc_test.testfkb')),
            ],
        ),
        migrations.CreateModel(
            name='Person',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=100, null=True, unique=True)),
                ('father', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='childs', to='gdc_test.person')),
                ('friends', models.ManyToManyField(related_name='_person_friends_+', to='gdc_test.Person')),
            ],
        ),
        migrations.CreateModel(
            name='ModelTestGenerateSchemaB',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('foreign_key_field', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='foreign_key_B_related', to='gdc_test.modeltestgenerateschemaa')),
                ('manytomany_field', models.ManyToManyField(related_name='many_to_many_B_related', to='gdc_test.ModelTestGenerateSchemaA')),
                ('one_to_one_field', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='one_to_one_B_related', to='gdc_test.modeltestgenerateschemaa')),
            ],
        ),
    ]
